<?php

namespace App\Modules\Leads\WebTypeClient\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateWebTypeClientQuery implements Query
{
    public function __construct(
        private int $id,
        private string $name,
        private string $icon,
        private string $iconThumb,
        private int $version,
        private int $status,
        private int $idAdmin
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function name(): string
    {
        return $this->name;
    }
    public function icon(): string
    {
        return $this->icon;
    }
    public function iconThumb(): string
    {
        return $this->iconThumb;
    }

    public function version(): int
    {
        return $this->version;
    }

    public function status(): int
    {
        return $this->status;
    }

    public function idAdmin(): int
    {
        return $this->idAdmin;
    }
}
